/* confdefs.h */
#define PACKAGE_NAME "GNU M4"
#define PACKAGE_TARNAME "m4"
#define PACKAGE_VERSION "1.4.16"
#define PACKAGE_STRING "GNU M4 1.4.16"
#define PACKAGE_BUGREPORT "bug-m4@gnu.org"
#define PACKAGE_URL "http://www.gnu.org/software/m4/"
#define PACKAGE "m4"
#define VERSION "1.4.16"
#define STDC_HEADERS 1
#define HAVE_SYS_TYPES_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STRING_H 1
#define HAVE_MEMORY_H 1
#define HAVE_STRINGS_H 1
#define HAVE_INTTYPES_H 1
#define HAVE_STDINT_H 1
#define HAVE_UNISTD_H 1
#define __EXTENSIONS__ 1
#define _ALL_SOURCE 1
#define _GNU_SOURCE 1
#define _POSIX_PTHREAD_SEMANTICS 1
#define _TANDEM_SOURCE 1
#define HAVE_FSEEKO 1
#define HAVE_UNSIGNED_LONG_LONG_INT 1
#define HAVE_LONG_LONG_INT 1
#define HAVE_UNSIGNED_LONG_LONG_INT 1
#define HAVE_ALLOCA_H 1
#define HAVE_ALLOCA 1
#define HAVE_BTOWC 1
#define HAVE_SETRLIMIT 1
#define HAVE_SIGALTSTACK 1
#define HAVE_GETCWD 1
#define HAVE_READLINK 1
#define HAVE_REALPATH 1
#define HAVE_DUP2 1
#define HAVE_FCNTL 1
#define HAVE_FPURGE 1
#define HAVE___FPURGE 1
#define HAVE___FREADING 1
#define HAVE_GETDTABLESIZE 1
#define HAVE_GETTIMEOFDAY 1
#define HAVE_LSTAT 1
#define HAVE_MBSINIT 1
#define HAVE_MBRTOWC 1
#define HAVE_MPROTECT 1
#define HAVE_MEMCHR 1
#define HAVE_MKSTEMP 1
#define HAVE_NL_LANGINFO 1
#define HAVE_PATHCONF 1
#define HAVE_ISBLANK 1
#define HAVE_ISWCTYPE 1
#define HAVE_WCSCOLL 1
#define HAVE_SIGACTION 1
#define HAVE_SIGINTERRUPT 1
#define HAVE_STRNDUP 1
#define HAVE_PIPE 1
#define HAVE_WCRTOMB 1
#define HAVE_ISWCNTRL 1
#define HAVE_LINK 1
#define HAVE_SETENV 1
#define HAVE_STRDUP 1
#define HAVE_SYMLINK 1
#define HAVE_WCTOB 1
#define HAVE_LANGINFO_CODESET 1
#define HAVE_UNISTD_H 1
#define HAVE_SYS_PARAM_H 1
#define HAVE_STDIO_EXT_H 1
#define HAVE_GETOPT_H 1
#define HAVE_SYS_TIME_H 1
#define HAVE_LANGINFO_H 1
#define HAVE_MATH_H 1
#define HAVE_SYS_MMAN_H 1
#define HAVE_SCHED_H 1
#define HAVE_WCHAR_H 1
#define HAVE_STDINT_H 1
#define HAVE_SYS_SOCKET_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_SYS_WAIT_H 1
#define HAVE_WCTYPE_H 1
#define FAULT_YIELDS_SIGBUS 0
#define HAVE_STACK_OVERFLOW_HANDLING 1
#define HAVE_XSI_STACK_OVERFLOW_HEURISTIC 1
#define HAVE_DECL_STRERROR_R 1
#define HAVE_STRERROR_R 1
#define HAVE_SIG_ATOMIC_T 1
#define HAVE_WORKING_O_NOATIME 0
#define HAVE_WORKING_O_NOFOLLOW 1
#define HAVE_DECL_FSEEKO 1
#define HAVE_DECL_FTELLO 1
#define HAVE_GETOPT_H 1
#define HAVE_GETOPT_LONG_ONLY 1
#define HAVE_DECL_GETENV 1
#define __GETOPT_PREFIX rpl_
#define restrict __restrict
#define FLT_EXPBIT0_WORD 0
#define FLT_EXPBIT0_BIT 23
#define HAVE_DECL_GETC_UNLOCKED 1
#define HAVE_STDLIB_H 1
#define MALLOC_0_IS_NONNULL 1
#define HAVE_MBSTATE_T 1
#define HAVE_MAP_ANONYMOUS 1
#define PROMOTED_MODE_T mode_t
#define HAVE_DECL_SNPRINTF 1
#define HAVE__BOOL 1
#define HAVE_WCHAR_T 1
#define HAVE_DECL_STRNDUP 1
#define HAVE_DECL_STRNLEN 1
#define HAVE_DECL_STRSIGNAL 1
#define HAVE_DECL_SYS_SIGLIST 1
#define HAVE_DECL_STRTOD 1
#define HAVE_DECL_CLEARERR_UNLOCKED 1
#define HAVE_DECL_FEOF_UNLOCKED 1
#define HAVE_DECL_FERROR_UNLOCKED 1
#define HAVE_DECL_FFLUSH_UNLOCKED 1
#define HAVE_DECL_FGETS_UNLOCKED 0
#define HAVE_DECL_FPUTC_UNLOCKED 1
#define HAVE_DECL_FPUTS_UNLOCKED 0
#define HAVE_DECL_FREAD_UNLOCKED 0
#define HAVE_DECL_FWRITE_UNLOCKED 0
#define HAVE_DECL_GETCHAR_UNLOCKED 1
#define HAVE_DECL_PUTC_UNLOCKED 1
#define HAVE_DECL_PUTCHAR_UNLOCKED 1
#define HAVE_WINT_T 1
#define HAVE_INTTYPES_H_WITH_UINTMAX 1
#define HAVE_STDINT_H_WITH_UINTMAX 1
#define HAVE_INTMAX_T 1
#define HAVE_SNPRINTF 1
#define HAVE_STRNLEN 1
#define HAVE_WCSLEN 1
#define HAVE_WCSNLEN 1
#define HAVE_MBRTOWC 1
#define HAVE_WCRTOMB 1
#define HAVE_DECL__SNPRINTF 0
#define HAVE_SNPRINTF_RETVAL_C99 1
#define CHECK_PRINTF_SAFE 1
/* end confdefs.h.  */

#include <stdio.h>
#include <string.h>
static char buf[100];
int main ()
{
  int result = 0;
  if (sprintf (buf, "%a %d", 3.1416015625, 33, 44, 55) < 0
      || (strcmp (buf, "0x1.922p+1 33") != 0
          && strcmp (buf, "0x3.244p+0 33") != 0
          && strcmp (buf, "0x6.488p-1 33") != 0
          && strcmp (buf, "0xc.91p-2 33") != 0))
    result |= 1;
  if (sprintf (buf, "%A %d", -3.1416015625, 33, 44, 55) < 0
      || (strcmp (buf, "-0X1.922P+1 33") != 0
          && strcmp (buf, "-0X3.244P+0 33") != 0
          && strcmp (buf, "-0X6.488P-1 33") != 0
          && strcmp (buf, "-0XC.91P-2 33") != 0))
    result |= 2;
  /* This catches a FreeBSD 6.1 bug: it doesn't round.  */
  if (sprintf (buf, "%.2a %d", 1.51, 33, 44, 55) < 0
      || (strcmp (buf, "0x1.83p+0 33") != 0
          && strcmp (buf, "0x3.05p-1 33") != 0
          && strcmp (buf, "0x6.0ap-2 33") != 0
          && strcmp (buf, "0xc.14p-3 33") != 0))
    result |= 4;
  /* This catches a FreeBSD 6.1 bug.  See
     <http://lists.gnu.org/archive/html/bug-gnulib/2007-04/msg00107.html> */
  if (sprintf (buf, "%010a %d", 1.0 / 0.0, 33, 44, 55) < 0
      || buf[0] == '0')
    result |= 8;
  /* This catches a MacOS X 10.3.9 (Darwin 7.9) bug.  */
  if (sprintf (buf, "%.1a", 1.999) < 0
      || (strcmp (buf, "0x1.0p+1") != 0
          && strcmp (buf, "0x2.0p+0") != 0
          && strcmp (buf, "0x4.0p-1") != 0
          && strcmp (buf, "0x8.0p-2") != 0))
    result |= 16;
  /* This catches the same MacOS X 10.3.9 (Darwin 7.9) bug and also a
     glibc 2.4 bug <http://sourceware.org/bugzilla/show_bug.cgi?id=2908>.  */
  if (sprintf (buf, "%.1La", 1.999L) < 0
      || (strcmp (buf, "0x1.0p+1") != 0
          && strcmp (buf, "0x2.0p+0") != 0
          && strcmp (buf, "0x4.0p-1") != 0
          && strcmp (buf, "0x8.0p-2") != 0))
    result |= 32;
  return result;
}
